## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToDOM Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment. More...

`#include <FormatterToDOM.hpp>`

Inheritance diagram for FormatterToDOM

Collaboration diagram for FormatterToDOM:

List of all members.

## Public Types

- typedef std::vector<XalanElement*> ElementStackType

## Public Methods

- FormatterToDOM ( XalanDocument* doc, XalanDocumentFragment* docFrag, XalanElement* currentElement)
    Construct a FormatterToDOM instance. More...
- FormatterToDOM ( XalanDocument* doc, XalanElement* elem)
    Construct a FormatterToDOM instance. More...
- virtual ~FormatterToDOM ()
- virtual void charactersRaw ( const XMLCh* const chars, const unsigned int length)
- virtual void comment (const XMLCh* const data)
    Called when a Comment is to be constructed. More...
- virtual void cdata ( const XMLCh* const ch, const unsigned int length)
- virtual void entityReference (const XMLCh* const name)
    Receive notification of a entityReference. More...
- virtual void setDocumentLocator (const LocatorType* const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement ( const XMLCh* const name, AttributeListType& attrs)
- virtual void endElement (const XMLCh* const name)
- virtual void characters ( const XMLCh* const chars, const unsigned int length)
- virtual void ignorableWhitespace ( const XMLCh* const chars, const unsigned int length)
- virtual void processingInstruction ( const XMLCh* const target, const XMLCh* const data)
- virtual void resetDocument ()
- XalanDocument* getDocument () const
- void setDocument (XalanDocument* theDocument)
- XalanDocumentFragment* getDocumentFragment () const
- void setDocumentFragment (XalanDocumentFragment* theDocumentFragment)
- XalanElement* getCurrentElement () const
- void setCurrentElement (XalanElement* theElement)

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment.

## Member Typedef Documentation

typedef std::vector<XalanElement*> FormatterToDOM::ElementStackType

## Constructor & Destructor Documentation

FormatterToDOM::FormatterToDOM ( | XalanDocument * doc,
| XalanDocumentFragment * docFrag,
| XalanElement * currentElement )

Construct a FormatterToDOM instance.

it will add the DOM nodes to the document fragment.

Parameters:

  doc | document for nodes
  docFrag | document fragment for nodes
  currentElement | current element for nodes

FormatterToDOM::FormatterToDOM ( | XalanDocument * doc,
| XalanElement * elem )

Construct a FormatterToDOM instance.

it will add the DOM nodes to the document.

Parameters:

  doc | document for nodes
  elem | current element for nodes

virtual FormatterToDOM::~FormatterToDOM ( | )`[virtual]`

## Member Function Documentation

virtual void FormatterToDOM::cdata ( | const XMLCh *const ch,
| const unsigned int length )`[virtual]`

virtual void FormatterToDOM::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

virtual void FormatterToDOM::charactersRaw ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

virtual void FormatterToDOM::comment ( | const XMLCh *const data )`[virtual]`

Called when a Comment is to be constructed.

Parameters:

  data | pointer to comment data

Exceptions:

  SAXException |

Reimplemented from FormatterListener.

virtual void FormatterToDOM::endDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToDOM::endElement ( | const XMLCh *const name )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToDOM::entityReference ( | const XMLCh *const name )`[virtual]`

Receive notification of a entityReference.

Parameters:

  data | pointer to characters from the XML document

Exceptions:

  SAXException |

Reimplemented from FormatterListener.

XalanElement * FormatterToDOM::getCurrentElement ( | ) const`[]`

XalanDocument * FormatterToDOM::getDocument ( | ) const`[]`

XalanDocumentFragment * FormatterToDOM::getDocumentFragment ( | ) const`[]`

virtual void FormatterToDOM::ignorableWhitespace ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

virtual void FormatterToDOM::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToDOM::resetDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

void FormatterToDOM::setCurrentElement ( | XalanElement * theElement )`[]`

void FormatterToDOM::setDocument ( | XalanDocument * theDocument )`[]`

void FormatterToDOM::setDocumentFragment ( | XalanDocumentFragment * theDocumentFragment )`[]`

virtual void FormatterToDOM::setDocumentLocator ( | const LocatorType *const locator )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToDOM::startDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToDOM::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

Reimplemented from FormatterListener.

The documentation for this class was generated from the following file:

- FormatterToDOM.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.